;InnoSetupVersion=4.0.10

[Setup]
AppName=Timer
AppVerName=Acute Softwares Timer 1.2
AppId=Timer
AppPublisher=Acute Software
AppPublisherURL=http://www.acutesoftware.com.au
AppSupportURL=http://www.acutesoftware.com.au/forums
AppUpdatesURL=http://www.acutesoftware.com.au/cont_support.html
DefaultDirName={pf}\acute\Timer
DefaultGroupName=Acute Software
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\timer.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\help-timer.html"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\STEAMBLO.WAV"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\soft.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\hit1.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\blup1.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Blip.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\timer.jpg"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\timer-small.jpg"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\WHATSNEW.TXT"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\olepro32.dll"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\comcat.dll"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\stdole2.tlb"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regtypelib sharedfile 
Source: "{sys}\asycfilt.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{sys}\oleaut32.dll"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\vb6stkit.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{sys}\scrrun.dll"; DestDir: "{sys}"; Flags: regserver sharedfile 
Source: "{sys}\mscomct2.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile 
Source: "{sys}\richtx32.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile 
Source: "{sys}\riched32.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 

[Run]
Filename: "{app}\timer.exe"; Description: "Launch Acute Softwares Timer"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Acute Softwares Timer"; Filename: "{app}\timer.exe"; 
Name: "{userdesktop}\Acute Softwares Timer"; Filename: "{app}\timer.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
